---
title: Remove Zone Hold
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Zones](https://developers.cloudflare.com/api/go/resources/zones)

[Holds](https://developers.cloudflare.com/api/go/resources/zones/subresources/holds)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Remove Zone Hold

client.Zones.Holds.Delete(ctx, params) (\*[ZoneHold](<https://developers.cloudflare.com/api/go/resources/zones#(resource)%20zones.holds%20%3E%20(model)%20zone_hold%20%3E%20(schema)>), error)

DELETE/zones/{zone\_id}/hold

Stop enforcement of a zone hold on the zone, permanently or temporarily, allowing the creation and activation of zones with this zone’s hostname. Existing zone holds can be removed from CDN-only zones when `hold_after` is not provided. Active holds are automatically disabled when a zone transitions to CDN-only mode.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zone Write`

##### ParametersExpand Collapse

<details>

<summary>

params HoldDeleteParams

</summary>

ZoneID param.Field\[string]

Path param: Identifier.

maxLength32

<a href="#(resource)%20zones.holds%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

HoldAfter param.Field\[string]Optional

Query param: If <code>hold_after</code> is provided, the hold will be temporarily disabled, then automatically re-enabled by the system at the time specified in this RFC3339-formatted timestamp. Otherwise, the hold will be disabled indefinitely. <code>hold_after</code> cannot be provided for CDN-only zones.

<a href="#(resource)%20zones.holds%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20hold_after">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zones.holds%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type ZoneHold struct{…}

</summary>

Hold boolOptional

<a href="#(resource)%20zones.holds%20%3E%20(model)%20zone_hold%20%3E%20(schema)%20%3E%20(property)%20hold">Link to this property</a>

HoldAfter stringOptional

<a href="#(resource)%20zones.holds%20%3E%20(model)%20zone_hold%20%3E%20(schema)%20%3E%20(property)%20hold_after">Link to this property</a>

IncludeSubdomains stringOptional

<a href="#(resource)%20zones.holds%20%3E%20(model)%20zone_hold%20%3E%20(schema)%20%3E%20(property)%20include_subdomains">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zones.holds%20%3E%20(model)%20zone_hold%20%3E%20(schema)>)

### Remove Zone Hold

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zones"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  zoneHold, err := client.Zones.Holds.Delete(context.TODO(), zones.HoldDeleteParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", zoneHold.Hold)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "hold": true,
    "hold_after": "2023-01-31T15:56:36Z",
    "include_subdomains": "include_subdomains"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "hold": true,
    "hold_after": "2023-01-31T15:56:36Z",
    "include_subdomains": "include_subdomains"
  },
  "success": true
}
```